WinShopAPI docs

Get a internal transfer

Returns one internal transfer by `documentId`, with its header, items and item variants. Requires `Permissions.InternalTransfer.View`.

GET
/api/documents/internal-transfers/{documentId}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

documentId*integer
Formatint32

Response Body

application/json
  1. response
id?|

Row id of the document. Read-only; the server assigns it.

Formatint32
internalNumber?|

Internal document number, unique within the document type and reserved when the document is created. Read-only.

Formatint32
items?array<>|

The document's items. Null when the document was loaded without them.

cancellationInternalNumber?|
Formatint32
createdAt?|
Formatdate-time
customerId?|
Formatint32
dateOfAccountingPosting?|
Formatdate-time
dateOfCreation?|
Formatdate-time
dateOfProcessing?|
Formatdate-time
dateOfTransfer?|
Formatdate-time
deliveryDate?|
Formatdate-time
documentStateId?|
Formatint32
documentStateUserId?|
Formatint32
formNumber?|
Lengthlength <= 150
guid?|
Formatguid
isCancellation?boolean|null
isConfirmed?boolean|null
isExported?boolean|null
isImported?boolean|null
isLocked?boolean|null
isPartialCancellation?boolean|null
isPrinted?boolean|null
isPrinter?boolean|null
isProcessed?boolean|null
lastModify?|
Formatdate-time
lockOwner?|
Lengthlength <= 80
note?string|null
note2?string|null
numberOfPackages?|
Formatint32
orderInternalNumber?|
Formatint32
orderText?|
Lengthlength <= 50
packageNumbers?string|null
palletNumber?|
Formatint32
partialCancellationInternalNumber?|
Formatint32
processedByUserId?|
Formatint32
routeId?|
Formatint32
totalDiscount?|
Formatdecimal
totalNumberOfItems?|
Formatint32
totalNumberOfPieces?|
Formatdecimal
totalPrice?|
Formatdecimal
totalPriceWoVat?|
Formatdecimal
totalStockPriceWoVat?|
Formatdecimal
transportDriverId?|
Formatint32
transportTypeId?|
Formatint32
userId?|
Formatint32
warehouseFromId?|
Formatint32
warehouseToId?|
Formatint32
curl -X GET 'https://<your-instance>/api/documents/internal-transfers/0' \  -H 'Authorization: Bearer <access-token>'
{  "id": 0,  "internalNumber": 0,  "items": [    {      "id": 0,      "internalNumber": 0,      "item": 0,      "productId": 0,      "variants": [        {          "colorId": 0,          "dimensionId": 0,          "id": 0,          "itemId": 0,          "lengthId": 0,          "quantity": 0,          "sizeId": 0,          "orderItemVariantId": 0,          "price": 0,          "priceWoVat": 0        }      ],      "barcode": "string",      "batchId": 0,      "batchTextRawMaterial": "string",      "createdAt": "2019-08-24T14:15:22Z",      "damageTypeId": 0,      "guid": "string",      "isExported": true,      "lastModify": "2019-08-24T14:15:22Z",      "locationId": 0,      "note": "string",      "numberOfPackages": 0,      "orderInternalNumber": 0,      "orderItemId": 0,      "originWarehouseStockPrice": 0,      "packagePrice": 0,      "price": 0,      "priceWoVat": 0,      "priceWoVatIssued": 0,      "quantity": 0,      "quantityCoefficient": 0,      "quantityIssued": 0,      "recyclingFee": 0,      "recyclingFeeId": 0,      "referencePrice": 0,      "royalty": 0,      "royaltyId": 0,      "setPrice": 0,      "ssccId": 0,      "stockPrice": 0,      "unitId": 0,      "unitIdIssued": 0,      "userId": 0,      "variantId": 0,      "vatRate": 0,      "warehouseDestination": "str",      "warehouseOrigin": "str",      "weight": 0    }  ],  "cancellationInternalNumber": 0,  "createdAt": "2019-08-24T14:15:22Z",  "customerId": 0,  "dateOfAccountingPosting": "2019-08-24T14:15:22Z",  "dateOfCreation": "2019-08-24T14:15:22Z",  "dateOfProcessing": "2019-08-24T14:15:22Z",  "dateOfTransfer": "2019-08-24T14:15:22Z",  "deliveryDate": "2019-08-24T14:15:22Z",  "documentStateId": 0,  "documentStateUserId": 0,  "formNumber": "string",  "guid": "string",  "isCancellation": true,  "isConfirmed": true,  "isExported": true,  "isImported": true,  "isLocked": true,  "isPartialCancellation": true,  "isPrinted": true,  "isPrinter": true,  "isProcessed": true,  "lastModify": "2019-08-24T14:15:22Z",  "lockOwner": "string",  "note": "string",  "note2": "string",  "numberOfPackages": 0,  "orderInternalNumber": 0,  "orderText": "string",  "packageNumbers": "string",  "palletNumber": 0,  "partialCancellationInternalNumber": 0,  "processedByUserId": 0,  "routeId": 0,  "totalDiscount": 0,  "totalNumberOfItems": 0,  "totalNumberOfPieces": 0,  "totalPrice": 0,  "totalPriceWoVat": 0,  "totalStockPriceWoVat": 0,  "transportDriverId": 0,  "transportTypeId": 0,  "userId": 0,  "warehouseFromId": 0,  "warehouseToId": 0}